Name:           iagno
Version:        3.8.3
Release:        1%{?dist}
Summary:        GNOME Reversi game

License:        GPLv2+ and CC-BY-SA
URL:            http://live.gnome.org/Iagno
Source0:        http://download.gnome.org/sources/iagno/3.8/iagno-%{version}.tar.xz

BuildRequires: glib2-devel
BuildRequires: gtk3-devel
BuildRequires: librsvg2-devel
BuildRequires: libcanberra-devel
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: desktop-file-utils

Obsoletes: gnome-games-iagno < 1:3.7.4
Obsoletes: gnome-games-extra-data < 3.2.0-6
Obsoletes: gnome-games < 1:3.7.4
Obsoletes: gnome-games-help < 1:3.7.4

%description
The GNOME version of Reversi. The goal is to control the most disks
on the board.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/iagno.desktop

%find_lang %{name} --with-gnome


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :


%files -f %{name}.lang
%doc COPYING
%{_bindir}/iagno
%{_datadir}/applications/iagno.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.iagno.gschema.xml
%{_datadir}/iagno/
%{_datadir}/icons/hicolor/*/apps/iagno.png
%{_mandir}/man6/iagno.6*


%changelog
* Mon Jan 20 2014 Richard Hughes <rhughes@redhat.com> - 3.8.3-1
- Update to 3.8.3

* Sat Jun 22 2013 Kalev Lember <kalevlember@gmail.com> - 3.8.1-4
- Obsolete gnome-games-help as well

* Thu Jun 20 2013 Matthias Clasen <mclasen@redhat.com> - 3.8.1-3
- Obsolete gnome-games (for upgrades from f17)

* Mon May 13 2013 Kalev Lember <kalevlember@gmail.com> - 3.8.1-2
- Obsolete gnome-games-extra-data

* Mon Apr 15 2013 Kalev Lember <kalevlember@gmail.com> - 3.8.1-1
- Update to 3.8.1

* Wed Mar 27 2013 Kalev Lember <kalevlember@gmail.com> - 3.8.0-1
- Update to 3.8.0

* Wed Mar 27 2013 Kalev Lember <kalevlember@gmail.com> - 3.7.4-2
- Update the documentation license as per the new package review (#910401)
- Add obsoletes for gnome-games-iagno

* Sat Feb  9 2013 Matthias Clasen <mclasen@redhat.com> - 3.7.4-1
- Initial packaging of standalone iagno
